Issue 74283 - meta report for license issues of hyphenation patterns available on the web site
Summary: meta report for license issues of hyphenation patterns available on the web site
Status: CLOSED FIXED
Alias: None
Product: lingucomponent
Classification: Code
Component: other (show other issues)
Version: OOo 2.2
Hardware: All All
: P3 Trivial with 1 vote (vote)
Target Milestone: ---
Assignee: issues@lingucomponent
QA Contact: issues@lingucomponent
URL:
Keywords: oooqa
Depends on: 74227 74285 74287 74288 74289 74290 74291 74292 74293 74294 74296 74297 74298 74299 74300 74301 74302 74303 74304 74306 74308 74309 74310 74311 74312 74313 74314 74315 74316 74317 74318 74320 74321 74348
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-07 16:26 UTC by doko
Modified: 2017-05-20 09:01 UTC (History)
5 users (show)

See Also:
Issue Type: TASK
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description doko 2007-02-07 16:26:36 UTC
meta report for license issues of hyphenation patterns available on the web
site; this includes files without license and copyright information and files
with missing references to the LPPL (http://www.latex-project.org/lppl.txt).
Comment 1 jjmckenzie 2007-02-20 01:25:21 UTC
@doko:
Are these files derived from the LPPL?  Please look at the LGPL before filing so
many issues to insure that this license is complied with as this is what
OpenOffice.org is released under.

James McKenzie
Comment 2 rene 2007-02-20 08:25:35 UTC
jjmckenzie: many of them are. 

It does not matter at all that OOo is LGPL, if the original pattern is LPPL. (NO
TYPO!).

The LPPL says that you can relicense derived works but you need to obey some
rules. Which many/most of those patterns do *not*.
Comment 3 mechtilde 2009-12-19 20:49:38 UTC
for the record
Comment 4 Pedro Giffuni 2011-12-02 04:50:54 UTC
The Apache Software Foundation does not use copyleft software in its releases.
We recommend the Apache License 2 as it is GPL3 compatible but is, in
less restricted for general use.

The dictionary component was removed as part of the IP clearance process.